# Optimally streamed 256-bin histogram calculation
# Syntax
#./streams_Histo256_Optimal <nstreams> <FRAMES>
		
./streams_Histo256_Optimal 4 32

# Output for 4096 total frames:
# Device GeForce GTX 580	DATA_W 704	TOTAL_FRAMES 4096	FRAMES 32	nstreams 4
# Random: CPU-GPU 3.887738	Kernel 1.003270	GPU-CPU 0.019190
# Random:	4.910199
# Degenerate: CPU-GPU 3.887469	Kernel 16.903929	GPU-CPU 0.019190
# Degenerate:	20.810587

# z = 128 TIME_NOSTREAM = 1647.919800
# z = 128 nstreams = 4 TIME_STREAMED = 1414.975586
# nstreams - Transf.Dom. 10.051547 10	--->nstreams = 8	--->	TIME_ESTIMATE = 4.116244
# nstreams - Kernel.Dom. 19.721500 19	--->nstreams = 16	--->	TIME_ESTIMATE = 17.366030
# z = 128 TIME_OPTIMALLY_STREAMED = 1384.450073
# CPU time 2864.766357
# PASSED
