# First observations
# Syntax
#./streams_Method_FirstObs <nstreams niterations data_size>

./streams_Method_FirstObs 24 20 15

# Output for 24 streams, 20 iterations, 15M from CPU to GPU (and from GPU to CPU):
# > Device name : GeForce GTX 580	array_size   = 15728640	20	15
# CPU-GPU SYNC:	18.81
# kernel - SYNC:	14.58
# GPU-CPU SYNC:	18.36
# non-streamed:	51.75 (51.74 expected)	blocks = 30720, threads = 512
# 24 streams:	38.00 (16.12 expected with compute capability 1.1 or later)	blocks = 1280, threads = 512


# Second observations
# Syntax
#./streams_Method_SecondObs <nstreams niterations data_CPU-GPU>

./streams_Method_SecondObs 2 30 23

# Output for 2 streams, 30 iterations, 23M from CPU to GPU (1M from GPU to CPU):
# > Device name : GeForce GTX 580	array_size   = 24117248	1048576	30	23
# CPU-GPU SYNC:	28.83
# kernel - SYNC:	34.76
# GPU-CPU SYNC:	1.23
# non-streamed:	64.82 (64.82 expected)	blocks = 32768, threads = 768
# 2 streams:	50.53 (49.79 expected with compute capability 1.1 or later)	blocks = 16384, threads = 768


